#define VALA_FREE_CHECKED(o,f) ((o) == NULL ? NULL : ((o) = (f (o), NULL)))
#define VALA_FREE_UNCHECKED(o,f) ((o) = (f (o), NULL))

#include "rb-sample-vala-plugin.h"
#include <stdio.h>
#include <glib/gstdio.h>
#include <stdlib.h>
#include <string.h>

struct _SampleValaPluginPrivate {
};
#define SAMPLE_VALA_PLUGIN_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), TYPE_SAMPLE_VALA_PLUGIN, SampleValaPluginPrivate))
enum  {
	SAMPLE_VALA_PLUGIN_DUMMY_PROPERTY,
};
static void sample_vala_plugin_real_activate (RBPlugin* base, RBShell* shell);
static void sample_vala_plugin_real_deactivate (RBPlugin* base, RBShell* shell);
static gpointer sample_vala_plugin_parent_class = NULL;


static void sample_vala_plugin_real_activate (RBPlugin* base, RBShell* shell)
{
	SampleValaPlugin * self = SAMPLE_VALA_PLUGIN (base);
	g_return_if_fail (shell == NULL || RB_IS_SHELL (shell));
	fprintf (stdout, "Hello world\n");
}


static void sample_vala_plugin_real_deactivate (RBPlugin* base, RBShell* shell)
{
	SampleValaPlugin * self = SAMPLE_VALA_PLUGIN (base);
	g_return_if_fail (shell == NULL || RB_IS_SHELL (shell));
	fprintf (stdout, "Goodbye world\n");
}


static void sample_vala_plugin_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec)
{
	SampleValaPlugin * self = SAMPLE_VALA_PLUGIN (object);
	switch (property_id) {
	}
}


static void sample_vala_plugin_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec)
{
	SampleValaPlugin * self = SAMPLE_VALA_PLUGIN (object);
	switch (property_id) {
	}
}


static void sample_vala_plugin_class_init (SampleValaPluginClass * klass)
{
	sample_vala_plugin_parent_class = g_type_class_peek_parent (klass);
	G_OBJECT_CLASS (klass)->get_property = sample_vala_plugin_get_property;
	G_OBJECT_CLASS (klass)->set_property = sample_vala_plugin_set_property;
	RB_PLUGIN_CLASS (klass)->activate = sample_vala_plugin_real_activate;
	RB_PLUGIN_CLASS (klass)->deactivate = sample_vala_plugin_real_deactivate;
}


static void sample_vala_plugin_init (SampleValaPlugin * self)
{
}


static GType sample_vala_plugin_type_id = 0;
GType sample_vala_plugin_get_type ()
{
	return sample_vala_plugin_type_id;
}


GType sample_vala_plugin_register_type (GTypeModule * module)
{
	static const GTypeInfo g_define_type_info = { sizeof (SampleValaPluginClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) sample_vala_plugin_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (SampleValaPlugin), 0, (GInstanceInitFunc) sample_vala_plugin_init };
	sample_vala_plugin_type_id = g_type_module_register_type (module, RB_TYPE_PLUGIN, "SampleValaPlugin", &g_define_type_info, 0);
	return sample_vala_plugin_type_id;
}


GType register_rb_plugin (GTypeModule* module)
{
	0;
	sample_vala_plugin_register_type (module);
	fprintf (stdout, "Registering plugin %s\n", "SampleValaPlugin");
	return TYPE_SAMPLE_VALA_PLUGIN;
}




